Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network72.25.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
72.25.0.0
Broadcast address
72.25.31.255
First usable
72.25.0.1
Last usable
72.25.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 48190000 · Integer 1209597952 to 1209606143
Reverse DNS zones
0.25.72.in-addr.arpa
1.25.72.in-addr.arpa
2.25.72.in-addr.arpa
3.25.72.in-addr.arpa
4.25.72.in-addr.arpa
5.25.72.in-addr.arpa
6.25.72.in-addr.arpa
7.25.72.in-addr.arpa
8.25.72.in-addr.arpa
9.25.72.in-addr.arpa
10.25.72.in-addr.arpa
11.25.72.in-addr.arpa
12.25.72.in-addr.arpa
13.25.72.in-addr.arpa
14.25.72.in-addr.arpa
15.25.72.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01001000.00011001.00000000.0000000072.25.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01001000.00011001.00000000.0000000072.25.0.0
Broadcast01001000.00011001.00011111.1111111172.25.31.255
Split into smaller subnets/29

72.25.0.0/19 makes 1,024 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
172.25.0.0/2972.25.0.1 to 72.25.0.672.25.0.76
272.25.0.8/2972.25.0.9 to 72.25.0.1472.25.0.156
372.25.0.16/2972.25.0.17 to 72.25.0.2272.25.0.236
472.25.0.24/2972.25.0.25 to 72.25.0.3072.25.0.316
572.25.0.32/2972.25.0.33 to 72.25.0.3872.25.0.396
672.25.0.40/2972.25.0.41 to 72.25.0.4672.25.0.476
772.25.0.48/2972.25.0.49 to 72.25.0.5472.25.0.556
872.25.0.56/2972.25.0.57 to 72.25.0.6272.25.0.636
972.25.0.64/2972.25.0.65 to 72.25.0.7072.25.0.716
1072.25.0.72/2972.25.0.73 to 72.25.0.7872.25.0.796
1172.25.0.80/2972.25.0.81 to 72.25.0.8672.25.0.876
1272.25.0.88/2972.25.0.89 to 72.25.0.9472.25.0.956
1372.25.0.96/2972.25.0.97 to 72.25.0.10272.25.0.1036
1472.25.0.104/2972.25.0.105 to 72.25.0.11072.25.0.1116
1572.25.0.112/2972.25.0.113 to 72.25.0.11872.25.0.1196
1672.25.0.120/2972.25.0.121 to 72.25.0.12672.25.0.1276
1772.25.0.128/2972.25.0.129 to 72.25.0.13472.25.0.1356
1872.25.0.136/2972.25.0.137 to 72.25.0.14272.25.0.1436
1972.25.0.144/2972.25.0.145 to 72.25.0.15072.25.0.1516
2072.25.0.152/2972.25.0.153 to 72.25.0.15872.25.0.1596
2172.25.0.160/2972.25.0.161 to 72.25.0.16672.25.0.1676
2272.25.0.168/2972.25.0.169 to 72.25.0.17472.25.0.1756
2372.25.0.176/2972.25.0.177 to 72.25.0.18272.25.0.1836
2472.25.0.184/2972.25.0.185 to 72.25.0.19072.25.0.1916
2572.25.0.192/2972.25.0.193 to 72.25.0.19872.25.0.1996
2672.25.0.200/2972.25.0.201 to 72.25.0.20672.25.0.2076
2772.25.0.208/2972.25.0.209 to 72.25.0.21472.25.0.2156
2872.25.0.216/2972.25.0.217 to 72.25.0.22272.25.0.2236
2972.25.0.224/2972.25.0.225 to 72.25.0.23072.25.0.2316
3072.25.0.232/2972.25.0.233 to 72.25.0.23872.25.0.2396
3172.25.0.240/2972.25.0.241 to 72.25.0.24672.25.0.2476
3272.25.0.248/2972.25.0.249 to 72.25.0.25472.25.0.2556
3372.25.1.0/2972.25.1.1 to 72.25.1.672.25.1.76
3472.25.1.8/2972.25.1.9 to 72.25.1.1472.25.1.156
3572.25.1.16/2972.25.1.17 to 72.25.1.2272.25.1.236
3672.25.1.24/2972.25.1.25 to 72.25.1.3072.25.1.316
3772.25.1.32/2972.25.1.33 to 72.25.1.3872.25.1.396
3872.25.1.40/2972.25.1.41 to 72.25.1.4672.25.1.476
3972.25.1.48/2972.25.1.49 to 72.25.1.5472.25.1.556
4072.25.1.56/2972.25.1.57 to 72.25.1.6272.25.1.636
4172.25.1.64/2972.25.1.65 to 72.25.1.7072.25.1.716
4272.25.1.72/2972.25.1.73 to 72.25.1.7872.25.1.796
4372.25.1.80/2972.25.1.81 to 72.25.1.8672.25.1.876
4472.25.1.88/2972.25.1.89 to 72.25.1.9472.25.1.956
4572.25.1.96/2972.25.1.97 to 72.25.1.10272.25.1.1036
4672.25.1.104/2972.25.1.105 to 72.25.1.11072.25.1.1116
4772.25.1.112/2972.25.1.113 to 72.25.1.11872.25.1.1196
4872.25.1.120/2972.25.1.121 to 72.25.1.12672.25.1.1276
4972.25.1.128/2972.25.1.129 to 72.25.1.13472.25.1.1356
5072.25.1.136/2972.25.1.137 to 72.25.1.14272.25.1.1436
5172.25.1.144/2972.25.1.145 to 72.25.1.15072.25.1.1516
5272.25.1.152/2972.25.1.153 to 72.25.1.15872.25.1.1596
5372.25.1.160/2972.25.1.161 to 72.25.1.16672.25.1.1676
5472.25.1.168/2972.25.1.169 to 72.25.1.17472.25.1.1756
5572.25.1.176/2972.25.1.177 to 72.25.1.18272.25.1.1836
5672.25.1.184/2972.25.1.185 to 72.25.1.19072.25.1.1916
5772.25.1.192/2972.25.1.193 to 72.25.1.19872.25.1.1996
5872.25.1.200/2972.25.1.201 to 72.25.1.20672.25.1.2076
5972.25.1.208/2972.25.1.209 to 72.25.1.21472.25.1.2156
6072.25.1.216/2972.25.1.217 to 72.25.1.22272.25.1.2236
6172.25.1.224/2972.25.1.225 to 72.25.1.23072.25.1.2316
6272.25.1.232/2972.25.1.233 to 72.25.1.23872.25.1.2396
6372.25.1.240/2972.25.1.241 to 72.25.1.24672.25.1.2476
6472.25.1.248/2972.25.1.249 to 72.25.1.25472.25.1.2556
6572.25.2.0/2972.25.2.1 to 72.25.2.672.25.2.76
6672.25.2.8/2972.25.2.9 to 72.25.2.1472.25.2.156
6772.25.2.16/2972.25.2.17 to 72.25.2.2272.25.2.236
6872.25.2.24/2972.25.2.25 to 72.25.2.3072.25.2.316
6972.25.2.32/2972.25.2.33 to 72.25.2.3872.25.2.396
7072.25.2.40/2972.25.2.41 to 72.25.2.4672.25.2.476
7172.25.2.48/2972.25.2.49 to 72.25.2.5472.25.2.556
7272.25.2.56/2972.25.2.57 to 72.25.2.6272.25.2.636
7372.25.2.64/2972.25.2.65 to 72.25.2.7072.25.2.716
7472.25.2.72/2972.25.2.73 to 72.25.2.7872.25.2.796
7572.25.2.80/2972.25.2.81 to 72.25.2.8672.25.2.876
7672.25.2.88/2972.25.2.89 to 72.25.2.9472.25.2.956
7772.25.2.96/2972.25.2.97 to 72.25.2.10272.25.2.1036
7872.25.2.104/2972.25.2.105 to 72.25.2.11072.25.2.1116
7972.25.2.112/2972.25.2.113 to 72.25.2.11872.25.2.1196
8072.25.2.120/2972.25.2.121 to 72.25.2.12672.25.2.1276
8172.25.2.128/2972.25.2.129 to 72.25.2.13472.25.2.1356
8272.25.2.136/2972.25.2.137 to 72.25.2.14272.25.2.1436
8372.25.2.144/2972.25.2.145 to 72.25.2.15072.25.2.1516
8472.25.2.152/2972.25.2.153 to 72.25.2.15872.25.2.1596
8572.25.2.160/2972.25.2.161 to 72.25.2.16672.25.2.1676
8672.25.2.168/2972.25.2.169 to 72.25.2.17472.25.2.1756
8772.25.2.176/2972.25.2.177 to 72.25.2.18272.25.2.1836
8872.25.2.184/2972.25.2.185 to 72.25.2.19072.25.2.1916
8972.25.2.192/2972.25.2.193 to 72.25.2.19872.25.2.1996
9072.25.2.200/2972.25.2.201 to 72.25.2.20672.25.2.2076
9172.25.2.208/2972.25.2.209 to 72.25.2.21472.25.2.2156
9272.25.2.216/2972.25.2.217 to 72.25.2.22272.25.2.2236
9372.25.2.224/2972.25.2.225 to 72.25.2.23072.25.2.2316
9472.25.2.232/2972.25.2.233 to 72.25.2.23872.25.2.2396
9572.25.2.240/2972.25.2.241 to 72.25.2.24672.25.2.2476
9672.25.2.248/2972.25.2.249 to 72.25.2.25472.25.2.2556
9772.25.3.0/2972.25.3.1 to 72.25.3.672.25.3.76
9872.25.3.8/2972.25.3.9 to 72.25.3.1472.25.3.156
9972.25.3.16/2972.25.3.17 to 72.25.3.2272.25.3.236
10072.25.3.24/2972.25.3.25 to 72.25.3.3072.25.3.316
10172.25.3.32/2972.25.3.33 to 72.25.3.3872.25.3.396
10272.25.3.40/2972.25.3.41 to 72.25.3.4672.25.3.476
10372.25.3.48/2972.25.3.49 to 72.25.3.5472.25.3.556
10472.25.3.56/2972.25.3.57 to 72.25.3.6272.25.3.636
10572.25.3.64/2972.25.3.65 to 72.25.3.7072.25.3.716
10672.25.3.72/2972.25.3.73 to 72.25.3.7872.25.3.796
10772.25.3.80/2972.25.3.81 to 72.25.3.8672.25.3.876
10872.25.3.88/2972.25.3.89 to 72.25.3.9472.25.3.956
10972.25.3.96/2972.25.3.97 to 72.25.3.10272.25.3.1036
11072.25.3.104/2972.25.3.105 to 72.25.3.11072.25.3.1116
11172.25.3.112/2972.25.3.113 to 72.25.3.11872.25.3.1196
11272.25.3.120/2972.25.3.121 to 72.25.3.12672.25.3.1276
11372.25.3.128/2972.25.3.129 to 72.25.3.13472.25.3.1356
11472.25.3.136/2972.25.3.137 to 72.25.3.14272.25.3.1436
11572.25.3.144/2972.25.3.145 to 72.25.3.15072.25.3.1516
11672.25.3.152/2972.25.3.153 to 72.25.3.15872.25.3.1596
11772.25.3.160/2972.25.3.161 to 72.25.3.16672.25.3.1676
11872.25.3.168/2972.25.3.169 to 72.25.3.17472.25.3.1756
11972.25.3.176/2972.25.3.177 to 72.25.3.18272.25.3.1836
12072.25.3.184/2972.25.3.185 to 72.25.3.19072.25.3.1916
12172.25.3.192/2972.25.3.193 to 72.25.3.19872.25.3.1996
12272.25.3.200/2972.25.3.201 to 72.25.3.20672.25.3.2076
12372.25.3.208/2972.25.3.209 to 72.25.3.21472.25.3.2156
12472.25.3.216/2972.25.3.217 to 72.25.3.22272.25.3.2236
12572.25.3.224/2972.25.3.225 to 72.25.3.23072.25.3.2316
12672.25.3.232/2972.25.3.233 to 72.25.3.23872.25.3.2396
12772.25.3.240/2972.25.3.241 to 72.25.3.24672.25.3.2476
12872.25.3.248/2972.25.3.249 to 72.25.3.25472.25.3.2556
12972.25.4.0/2972.25.4.1 to 72.25.4.672.25.4.76
13072.25.4.8/2972.25.4.9 to 72.25.4.1472.25.4.156
13172.25.4.16/2972.25.4.17 to 72.25.4.2272.25.4.236
13272.25.4.24/2972.25.4.25 to 72.25.4.3072.25.4.316
13372.25.4.32/2972.25.4.33 to 72.25.4.3872.25.4.396
13472.25.4.40/2972.25.4.41 to 72.25.4.4672.25.4.476
13572.25.4.48/2972.25.4.49 to 72.25.4.5472.25.4.556
13672.25.4.56/2972.25.4.57 to 72.25.4.6272.25.4.636
13772.25.4.64/2972.25.4.65 to 72.25.4.7072.25.4.716
13872.25.4.72/2972.25.4.73 to 72.25.4.7872.25.4.796
13972.25.4.80/2972.25.4.81 to 72.25.4.8672.25.4.876
14072.25.4.88/2972.25.4.89 to 72.25.4.9472.25.4.956
14172.25.4.96/2972.25.4.97 to 72.25.4.10272.25.4.1036
14272.25.4.104/2972.25.4.105 to 72.25.4.11072.25.4.1116
14372.25.4.112/2972.25.4.113 to 72.25.4.11872.25.4.1196
14472.25.4.120/2972.25.4.121 to 72.25.4.12672.25.4.1276
14572.25.4.128/2972.25.4.129 to 72.25.4.13472.25.4.1356
14672.25.4.136/2972.25.4.137 to 72.25.4.14272.25.4.1436
14772.25.4.144/2972.25.4.145 to 72.25.4.15072.25.4.1516
14872.25.4.152/2972.25.4.153 to 72.25.4.15872.25.4.1596
14972.25.4.160/2972.25.4.161 to 72.25.4.16672.25.4.1676
15072.25.4.168/2972.25.4.169 to 72.25.4.17472.25.4.1756
15172.25.4.176/2972.25.4.177 to 72.25.4.18272.25.4.1836
15272.25.4.184/2972.25.4.185 to 72.25.4.19072.25.4.1916
15372.25.4.192/2972.25.4.193 to 72.25.4.19872.25.4.1996
15472.25.4.200/2972.25.4.201 to 72.25.4.20672.25.4.2076
15572.25.4.208/2972.25.4.209 to 72.25.4.21472.25.4.2156
15672.25.4.216/2972.25.4.217 to 72.25.4.22272.25.4.2236
15772.25.4.224/2972.25.4.225 to 72.25.4.23072.25.4.2316
15872.25.4.232/2972.25.4.233 to 72.25.4.23872.25.4.2396
15972.25.4.240/2972.25.4.241 to 72.25.4.24672.25.4.2476
16072.25.4.248/2972.25.4.249 to 72.25.4.25472.25.4.2556
16172.25.5.0/2972.25.5.1 to 72.25.5.672.25.5.76
16272.25.5.8/2972.25.5.9 to 72.25.5.1472.25.5.156
16372.25.5.16/2972.25.5.17 to 72.25.5.2272.25.5.236
16472.25.5.24/2972.25.5.25 to 72.25.5.3072.25.5.316
16572.25.5.32/2972.25.5.33 to 72.25.5.3872.25.5.396
16672.25.5.40/2972.25.5.41 to 72.25.5.4672.25.5.476
16772.25.5.48/2972.25.5.49 to 72.25.5.5472.25.5.556
16872.25.5.56/2972.25.5.57 to 72.25.5.6272.25.5.636
16972.25.5.64/2972.25.5.65 to 72.25.5.7072.25.5.716
17072.25.5.72/2972.25.5.73 to 72.25.5.7872.25.5.796
17172.25.5.80/2972.25.5.81 to 72.25.5.8672.25.5.876
17272.25.5.88/2972.25.5.89 to 72.25.5.9472.25.5.956
17372.25.5.96/2972.25.5.97 to 72.25.5.10272.25.5.1036
17472.25.5.104/2972.25.5.105 to 72.25.5.11072.25.5.1116
17572.25.5.112/2972.25.5.113 to 72.25.5.11872.25.5.1196
17672.25.5.120/2972.25.5.121 to 72.25.5.12672.25.5.1276
17772.25.5.128/2972.25.5.129 to 72.25.5.13472.25.5.1356
17872.25.5.136/2972.25.5.137 to 72.25.5.14272.25.5.1436
17972.25.5.144/2972.25.5.145 to 72.25.5.15072.25.5.1516
18072.25.5.152/2972.25.5.153 to 72.25.5.15872.25.5.1596
18172.25.5.160/2972.25.5.161 to 72.25.5.16672.25.5.1676
18272.25.5.168/2972.25.5.169 to 72.25.5.17472.25.5.1756
18372.25.5.176/2972.25.5.177 to 72.25.5.18272.25.5.1836
18472.25.5.184/2972.25.5.185 to 72.25.5.19072.25.5.1916
18572.25.5.192/2972.25.5.193 to 72.25.5.19872.25.5.1996
18672.25.5.200/2972.25.5.201 to 72.25.5.20672.25.5.2076
18772.25.5.208/2972.25.5.209 to 72.25.5.21472.25.5.2156
18872.25.5.216/2972.25.5.217 to 72.25.5.22272.25.5.2236
18972.25.5.224/2972.25.5.225 to 72.25.5.23072.25.5.2316
19072.25.5.232/2972.25.5.233 to 72.25.5.23872.25.5.2396
19172.25.5.240/2972.25.5.241 to 72.25.5.24672.25.5.2476
19272.25.5.248/2972.25.5.249 to 72.25.5.25472.25.5.2556
19372.25.6.0/2972.25.6.1 to 72.25.6.672.25.6.76
19472.25.6.8/2972.25.6.9 to 72.25.6.1472.25.6.156
19572.25.6.16/2972.25.6.17 to 72.25.6.2272.25.6.236
19672.25.6.24/2972.25.6.25 to 72.25.6.3072.25.6.316
19772.25.6.32/2972.25.6.33 to 72.25.6.3872.25.6.396
19872.25.6.40/2972.25.6.41 to 72.25.6.4672.25.6.476
19972.25.6.48/2972.25.6.49 to 72.25.6.5472.25.6.556
20072.25.6.56/2972.25.6.57 to 72.25.6.6272.25.6.636
20172.25.6.64/2972.25.6.65 to 72.25.6.7072.25.6.716
20272.25.6.72/2972.25.6.73 to 72.25.6.7872.25.6.796
20372.25.6.80/2972.25.6.81 to 72.25.6.8672.25.6.876
20472.25.6.88/2972.25.6.89 to 72.25.6.9472.25.6.956
20572.25.6.96/2972.25.6.97 to 72.25.6.10272.25.6.1036
20672.25.6.104/2972.25.6.105 to 72.25.6.11072.25.6.1116
20772.25.6.112/2972.25.6.113 to 72.25.6.11872.25.6.1196
20872.25.6.120/2972.25.6.121 to 72.25.6.12672.25.6.1276
20972.25.6.128/2972.25.6.129 to 72.25.6.13472.25.6.1356
21072.25.6.136/2972.25.6.137 to 72.25.6.14272.25.6.1436
21172.25.6.144/2972.25.6.145 to 72.25.6.15072.25.6.1516
21272.25.6.152/2972.25.6.153 to 72.25.6.15872.25.6.1596
21372.25.6.160/2972.25.6.161 to 72.25.6.16672.25.6.1676
21472.25.6.168/2972.25.6.169 to 72.25.6.17472.25.6.1756
21572.25.6.176/2972.25.6.177 to 72.25.6.18272.25.6.1836
21672.25.6.184/2972.25.6.185 to 72.25.6.19072.25.6.1916
21772.25.6.192/2972.25.6.193 to 72.25.6.19872.25.6.1996
21872.25.6.200/2972.25.6.201 to 72.25.6.20672.25.6.2076
21972.25.6.208/2972.25.6.209 to 72.25.6.21472.25.6.2156
22072.25.6.216/2972.25.6.217 to 72.25.6.22272.25.6.2236
22172.25.6.224/2972.25.6.225 to 72.25.6.23072.25.6.2316
22272.25.6.232/2972.25.6.233 to 72.25.6.23872.25.6.2396
22372.25.6.240/2972.25.6.241 to 72.25.6.24672.25.6.2476
22472.25.6.248/2972.25.6.249 to 72.25.6.25472.25.6.2556
22572.25.7.0/2972.25.7.1 to 72.25.7.672.25.7.76
22672.25.7.8/2972.25.7.9 to 72.25.7.1472.25.7.156
22772.25.7.16/2972.25.7.17 to 72.25.7.2272.25.7.236
22872.25.7.24/2972.25.7.25 to 72.25.7.3072.25.7.316
22972.25.7.32/2972.25.7.33 to 72.25.7.3872.25.7.396
23072.25.7.40/2972.25.7.41 to 72.25.7.4672.25.7.476
23172.25.7.48/2972.25.7.49 to 72.25.7.5472.25.7.556
23272.25.7.56/2972.25.7.57 to 72.25.7.6272.25.7.636
23372.25.7.64/2972.25.7.65 to 72.25.7.7072.25.7.716
23472.25.7.72/2972.25.7.73 to 72.25.7.7872.25.7.796
23572.25.7.80/2972.25.7.81 to 72.25.7.8672.25.7.876
23672.25.7.88/2972.25.7.89 to 72.25.7.9472.25.7.956
23772.25.7.96/2972.25.7.97 to 72.25.7.10272.25.7.1036
23872.25.7.104/2972.25.7.105 to 72.25.7.11072.25.7.1116
23972.25.7.112/2972.25.7.113 to 72.25.7.11872.25.7.1196
24072.25.7.120/2972.25.7.121 to 72.25.7.12672.25.7.1276
24172.25.7.128/2972.25.7.129 to 72.25.7.13472.25.7.1356
24272.25.7.136/2972.25.7.137 to 72.25.7.14272.25.7.1436
24372.25.7.144/2972.25.7.145 to 72.25.7.15072.25.7.1516
24472.25.7.152/2972.25.7.153 to 72.25.7.15872.25.7.1596
24572.25.7.160/2972.25.7.161 to 72.25.7.16672.25.7.1676
24672.25.7.168/2972.25.7.169 to 72.25.7.17472.25.7.1756
24772.25.7.176/2972.25.7.177 to 72.25.7.18272.25.7.1836
24872.25.7.184/2972.25.7.185 to 72.25.7.19072.25.7.1916
24972.25.7.192/2972.25.7.193 to 72.25.7.19872.25.7.1996
25072.25.7.200/2972.25.7.201 to 72.25.7.20672.25.7.2076
25172.25.7.208/2972.25.7.209 to 72.25.7.21472.25.7.2156
25272.25.7.216/2972.25.7.217 to 72.25.7.22272.25.7.2236
25372.25.7.224/2972.25.7.225 to 72.25.7.23072.25.7.2316
25472.25.7.232/2972.25.7.233 to 72.25.7.23872.25.7.2396
25572.25.7.240/2972.25.7.241 to 72.25.7.24672.25.7.2476
25672.25.7.248/2972.25.7.249 to 72.25.7.25472.25.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses